Bug 494627 - "Invalid Channel Name" error message should explain why channel name is invalid
"Invalid Channel Name" error message should explain why channel name is invalid
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Jay Dobies
Sayli Karmarkar
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-07 12:07 EDT by Sayli Karmarkar
Modified: 2015-03-22 21:09 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2009-04-07 12:07:27 EDT
Description of problem:

Scenario 1:

Steps to Reproduce:
1. Go to manage software channels
2. try to create a channel with a 4 letter channel name.

Scenario 2:
1. Go to manage software channels
2. try to create a channel with a channel name "foobar#$%"

Scenario 3: 
1. Go to manage software channels
2. create channel testchannel
3. again try to create a channel with the same name

This scenario is worse in multiorg case where one org doesnt know that a channel with the same name exists in other org. 
  
Actual results:
Invalid Channel Name

Expected results:
Invalid Channel Name : Channels exists with the same name
Invalid Channel Name : Channel need to be atleast * characters
Invalid Channel Name : Invalid character in channel name
Comment 1 Jay Dobies 2009-04-27 17:27:40 EDT
commit	96acc2313cb5372cc3eae22b50ef11cba32b4c28
tree	825e935cfcc838b0e38a55aa3fd77b81e0506de2

Added more fine grained error messages for invalid channel data.

There is now a specific error message for the following conditions:
- Channel name/label is all whitespace or not specified
- Channel name/label is not the required length (6)
- Channel name/label does not match the appropriate regex validation
- Channel name/label is already in use
- Channel name/label is a Red Hat channel (starts with rhn or red hat) and the user is not a super user
Comment 2 Jay Dobies 2009-04-27 17:28:58 EDT
Vader

commit	b5acbafcb141a1d48287be3a1fadd3e6670c3e9d
tree	e37d04114b78baa74f44168b4fc3f611bad78d95
Comment 3 Sayli Karmarkar 2009-05-22 15:58:24 EDT
Verified all above cases.
Comment 4 Brad Buckingham 2009-07-31 13:20:22 EDT
verified all cases using the 7/24 stage iso... moving to RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 15:48:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.